node-string-decoder_1.2.0-1_all.deb


Advertisement

Description

node-string-decoder - string_decoder module from Node core for browsers

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-string-decoder_1.2.0-1_all.deb
Package name node-string-decoder
Package version 1.2.0
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/nodejs/string_decoder
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 6.32 KB
Installed size 26.00 KB
node-string-decoder provides a string_decoder module compatible with
string_decoder module from Node.js core but adapted for
browsers context.
Node.js string_decoder module provides an API for decoding Buffer objects
into strings in a manner that preserves encoded multi-byte UTF-8 and
UTF-16 characters.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-string-decoder_1.2.0-1_all.deb 1.2.0 all Ubuntu Universe
node-string-decoder - - -

Requires

Name Value
node-safe-buffer >= 5.1.0
nodejs >= 8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-string-decoder_1.2.0-1_all.deb
Source Package node-string-decoder

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-string-decoder deb package:
    # sudo apt-get install node-string-decoder

Files

Path
/usr/lib/nodejs/string_decoder/package.json
/usr/lib/nodejs/string_decoder/lib/string_decoder.js
/usr/share/doc/node-string-decoder/README.md
/usr/share/doc/node-string-decoder/changelog.Debian.gz
/usr/share/doc/node-string-decoder/copyright

Changelog

2019-01-07 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.2.0-1) unstable; urgency=medium
* New upstream version, fix package.json
* Fix debci
2018-10-31 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.1.1-1) unstable; urgency=medium
* New upstream version.
* Bump policy (no changes).
* Move to git dpm
2018-05-09 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.1.0-1) unstable; urgency=medium
* New upstream version
* Bump policy and compat (no changes).
* Move to salsa
* Improve cli
2017-08-25 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.0.3-2) unstable; urgency=medium
* Fix git path. Thanks to duck
* Improve rules
* Move to section javascript
* Bump policy (no changes).
2017-08-13 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.0.3-1) unstable; urgency=medium
* New upstream version
* Bump policy, no change
2017-05-11 - Bastien Roucariès <rouca@debian.org>
node-string-decoder (1.0.0-1) unstable; urgency=medium
* Reintroduce package (Closes: #860843), needed in
browser context.
* Add myself as uploader.
2015-09-23 - Ross Gammon <rossgammon@mail.dk>
node-string-decoder (0.10.25-1) unstable; urgency=low
[ Bas Couwenberg ]
* Initial release (Closes: #779998)

See Also

Package Description
node-string-width_2.1.1-1_all.deb Get the visual width of a string
node-string.prototype.codepointat_0.2.0-1_all.deb String.prototype.codePointAt polyfill based on ES6
node-stringmap_0.2.2+20130926-3_all.deb fast and robust stringmap (Node.js module)
node-stringset_0.2.1+20130926-3_all.deb fast and robust stringset (Node.js module)
node-stringstream_0.0.6-1_all.deb Encode and decode streams into string streams
node-strip-ansi_4.0.0-1_all.deb strip ANSI escape codes
node-strip-bom-stream_2.0.0-1_all.deb Strip UTF-8 byte order mark (BOM) from a stream
node-strip-bom_3.0.0-1_all.deb Strip UTF-8 byte order mark (BOM) from a string
node-strip-eof_1.0.0-2_all.deb strip CR and LF characters from a string/buffer
node-strip-indent_2.0.0-1_all.deb Strip leading whitespace from each line in a string
node-strip-json-comments_2.0.1-2_all.deb Node.js module to strip comments from JSON
node-style-loader_0.17.0-2_all.deb style loader module for webpack
node-stylus_0.54.5-1ubuntu1_all.deb Robust, expressive, and feature-rich CSS superset - Node.js module
node-subarg_1.0.0-2_all.deb parse arguments with recursive contexts
node-superagent_0.20.0+dfsg-1_all.deb HTTP client request with chainable API - Node.js module
Advertisement
Advertisement